*****************************************************	
*****************************************************
/*******************Master do file *****************/ 	
*****************************************************	
*****************************************************
* This program runs all do files in Chapter 6
	
	
	clear all
	set more off, perm
	capture log close
	
/*	Recall to run the do file "Practical guide to TPA/directory_definition.do
	before running this do file or any of the do files contained herein	
*/

	
/*	Application 	*/
	
*	Building a database and estimating a gravity model
	cd "$input/Chapter6/Applications"  
	do Application_Ehiopia

	
/*	Exercise	*/

	*Preliminary step: run TPP_gravity
	cd "$input/Chapter6/Exercises"
	do Exercise_Madagascar


*********************************************
*	Eliminating residual construction files	*
*********************************************

		cd "$input/Chapter6/Datasets"
		
		foreach x in		EMS_temp result_hh result_decile deltaprices temp	{
		erase "`x'.dta"
        }
*

	exit
	exit
	exit
